VMware NSX Record

For API version information, refer to the API Version History section.

V2.0 | V3.0

V2.0

POST /api/2.0/fo/auth/nsx/

Create, update, list, and delete VMware NSX records for authenticated scans of VMware NSX environments. This capability allows you to securely authenticate to NSX managed components using VMware NSX credentials, enabling authenticated vulnerability and compliance assessments of supported NSX services and appliances. This simplifies secure access to NSX environments, improves assessment accuracy through authenticated scanning, and reduces operational overhead when managing credentials at scale.

This supports both VM and PA.

Both basic and vault based authentication are supported. Vault based authentication is
supported only for HashiCorp Vault.

Input ParametersInput Parameters

Parameter Required/Optional Data Type  Description
 action={action}  Required  String Specify any one of the following:
create, update, list,delete.
 title={value}   Required to create a record  String  A title for the record.
Optional to update record.
 ips={value}  Required to create record,
Optional to update record
 Integer IPs to be added to your NSX record.
You may enter a combination of IPs and IP ranges to identify
compliance hosts. Multiple entries are comma separated.

Overwrites (replaces) the IP list for the authentication record. The IPs you specify are added and any existing IPs are removed
username={value} Required to create record, optional to update record  String The username to be used for authentication to NSX.
password={value} Optional  String The password to be used for authentication to NSX.
login_type={basic|vault} Required  Boolean The login type is basic by default. You can choose
vault (for vault based authentication). Set to vault if a third party vault is used to retrieve the password.

 For vault based authentication, vault parameters need to be provided in the record.

vault_id={value} Required if login_type=vault Integer  The ID of the vault to be used to retrieve the password for login.
vault_type={value}  Required if login_type=vault  String The third party vault to be used to retrieve the password for login. Certain vaults support this capability. View our latest Vault Support Matrix.
port={value}  Optional  Integer The port number that the NSX instance is running on.
ssl_verify_with_host={0|1}  Optional Boolean SSL verification. Set to 1 if you want to verify the server’s certificate is valid and trusted.
hosts={value} Required if ssl_verify_with_host=1 String A list of FQDNs for all host IP addresses on which a custom SSL certificate signed by a
trusted root CA is installed.
ids={value} Required to update record Integer NSX Record IDs to update. Specify record IDs and/or ID ranges (for example, 1359-1407). Multiple entries are comma separated.
comments={value} Optional to create or update record String User defined comments. Maximum of 1999 characters.
use_ad_hashicorp={0|1} Required Boolean Specify 1 to enable the Active Directory when the HashiCorp Vault is selected.

tag_set_by={id|name}

Optional when asset_type=asset_tags or ip_range_tag_rule Integer/
String 

Specify "id" (the default) to select a tag set by providing tag ids. Specify "name" to select a tag set by providing tag names.

tags_include={tag1, tag2...}

Required when asset_type=asset_tags or ip_range_tag_rule Integer 

Specify a tag set to include in the record. Hosts that match these tags will be included. You identify the tag set by providing tag names or IDs. Multiple entries are comma-separated. To specify tag names, you must also specify tag_set_by=name.

tags_exclude={tag1, tag2...}

Optional when asset_type=asset_tags or ip_range_tag_rule Integer 

Specify a tag set to exclude in the record. Hosts that match these tags will be excluded. You identify the tag set by providing tag names or IDs. Multiple entries are comma-separated. To specify tag names, you must also specify tag_set_by=name.

tag_include_selector={any|all}

Optional when asset_type=asset_tags or ip_range_tag_rule Boolean 

Select "any" (the default) to include hosts that match at least one of the selected tags. Select "all" to include hosts that match all of the selected tags.

tag_exclude_selector={any|all}

Optional when asset_type=asset_tags or ip_range_tag_rule Boolean 

Select "any" (the default) to exclude hosts that match at least one of the selected tags. Select "all" to exclude hosts that match all of the selected tags.

asset_type={ips|asset_tags|ip_range_tag_rule} Optional  String 

Indicates how assets will be defined in the record. Valid values are ips (the default), asset_tags, ip_range_tag_rule. When not specified, we will use asset_type=ips.

ips - Specify this value to assign IP addresses/ranges to the record

asset_tags - Specify this value to add tags to the record for the assets you want included. IP addresses with the selected tags already assigned will be associated with the record.

ip_range_tag_rule - Specify this value to add tags that have IP address ranges defined in the tag rule. All IP addresses defined in the tag rule will be associated with the record, including IPs that do not already have the tag assigned.

 

Sample Create RecordSample Create Record

API Request

curl --location ' /api/2.0/fo/auth/nsx/index.php?action=create&title=1234NSXkk235&ips=10.xxx.xxx.xxx&username=root&password=Password%40456&port=443' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=create'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/2.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2025-12-11T10:32:56Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Created</TEXT>
                <ID_SET>
                    <ID>11629987</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN> 


Sample Update RecordSample Update Record

API Request

curl --location ' /api/2.0/fo/auth/nsx/index.php?action=update%20&username=root&password=Password%40456&ids=11629987' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=update'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/2.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2025-12-11T10:37:10Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Updated</TEXT>
                <ID_SET>
                    <ID>11629987</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN>

Sample Delete RecordSample Delete Record

API Request

curl --location ' /api/2.0/fo/auth/nsx/index.php?action=delete&ids=11629987' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=delete'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/2.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2025-12-11T10:41:22Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Deleted</TEXT>
                <ID_SET>
                    <ID>11629987</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN>

Sample - List RecordsSample - List Records

API Request

curl --location --request GET ' /api/2.0/fo/auth/nsx/index.php?action=list' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=list'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE AUTH_NSX_LIST_OUTPUT SYSTEM "<qualys_base_url>/api/2.0/fo/auth/nsx/auth_nsx_list_output.dtd">
<AUTH_NSX_LIST_OUTPUT>
    <RESPONSE>
        <DATETIME>2025-12-11T10:31:18Z</DATETIME>
        <AUTH_NSX_LIST>
            <AUTH_NSX>
                <ID>11500969</ID>
                <TITLE>
                    <![CDATA[nsx_auth]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[admin]]>
                </USERNAME>
                <SSL_VERIFY>
                    <![CDATA[0]]>
                </SSL_VERIFY>
                <IP_SET>
                    <IP>10.xxx.xxx.xxx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[443]]>
                </PORT>
                <SSL_VERIFY_WITH_HOST>
                    <![CDATA[0]]>
                </SSL_VERIFY_WITH_HOST>
                <HOSTS>
                    <![CDATA[www.google.com]]>
                </HOSTS>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-11-28T07:48:06Z</DATETIME>
                    <BY>username</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-10T06:45:07Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
            <AUTH_NSX>
                <ID>11541079</ID>
                <TITLE>
                    <![CDATA[mob_api12345]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[root]]>
                </USERNAME>
                <IP_SET>
                    <IP>111.xx.xx.xx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[443]]>
                </PORT>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-12-04T05:49:51Z</DATETIME>
                    <BY>username</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-04T05:49:51Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
            <AUTH_NSX>
                <ID>11541968</ID>
                <TITLE>
                    <![CDATA[1234NSX6]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[root]]>
                </USERNAME>
                <IP_SET>
                    <IP>10.xxx.xxx.xxx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[445]]>
                </PORT>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-12-04T06:42:32Z</DATETIME>
                    <BY>vmspxtb</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-04T08:50:33Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
            <AUTH_NSX>
                <ID>11542967</ID>
                <TITLE>
                    <![CDATA[1234NSXkk23]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[root]]>
                </USERNAME>
                <IP_SET>
                    <IP>10.xxx.xxx.xxx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[443]]>
                </PORT>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-12-04T09:11:25Z</DATETIME>
                    <BY>vmspxtb</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-04T09:11:25Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
        </AUTH_NSX_LIST>
    </RESPONSE>
</AUTH_NSX_LIST_OUTPUT>


DTDs for VMware NSX records

Qualys API Server URL/api/2.0/fo/auth/nsx/auth_nsx_list

V3.0

POST /api/3.0/fo/auth/nsx/

Create, update, list, and delete VMware NSX records for authenticated scans of VMware NSX environments. This capability allows you to securely authenticate to NSX managed components using VMware NSX credentials, enabling authenticated vulnerability and compliance assessments of supported NSX services and appliances. This simplifies secure access to NSX environments, improves assessment accuracy through authenticated scanning, and reduces operational overhead when managing credentials at scale.

This supports both VM and PA.

Both basic and vault based authentication are supported. Vault based authentication is supported only for HashiCorp Vault. You can use Active Directory (AD) support with HashiCorp Vault when you create, update, list, and delete VMware NSX authentication records for authenticated scans of VMware NSX environments. This enables you to securely retrieve AD credentials from Vault. 

Input ParametersInput Parameters

Parameter Required/Optional Data Type  Description
 action={action}  Required  String Specify any one of the following:
create, update, list,delete.
 title={value}   Required to create a record  String  A title for the record.
Optional to update record.
 ips={value}  Required to create record,
Optional to update record
 Integer IPs to be added to your NSX record.
You may enter a combination of IPs and IP ranges to identify
compliance hosts. Multiple entries are comma separated.

Overwrites (replaces) the IP list for the authentication record. The IPs you specify are added and any existing IPs are removed
username={value} Required to create record, optional to update record  String The username to be used for authentication to NSX.
password={value} Optional  String The password to be used for authentication to NSX.
login_type={basic|vault} Required  Boolean The login type is basic by default. You can choose
vault (for vault based authentication). Set to vault if a third party vault is used to retrieve the password.

 For vault based authentication, vault parameters need to be provided in the record.

vault_id={value} Required if login_type=vault Integer  The ID of the vault to be used to retrieve the password for login.
vault_type={value}  Required if login_type=vault  String The third party vault to be used to retrieve the password for login. Certain vaults support this capability. View our latest Vault Support Matrix.
port={value}  Optional  Integer The port number that the NSX instance is running on.
ssl_verify_with_host={0|1}  Optional Boolean SSL verification. Set to 1 if you want to verify the server’s certificate is valid and trusted.
hosts={value} Required if ssl_verify_with_host=1 String A list of FQDNs for all host IP addresses on which a custom SSL certificate signed by a
trusted root CA is installed.
ids={value} Required to update record Integer NSX Record IDs to update. Specify record IDs and/or ID ranges (for example, 1359-1407). Multiple entries are comma separated.
comments={value} Optional to create or update record String User defined comments. Maximum of 1999 characters.
use_ad_hashicorp={0|1} Required Boolean Specify 1 to enable the Active Directory when the HashiCorp Vault is selected.

tag_set_by={id|name}

Optional when asset_type=asset_tags or ip_range_tag_rule Integer/
String 

Specify "id" (the default) to select a tag set by providing tag ids. Specify "name" to select a tag set by providing tag names.

tags_include={tag1, tag2...}

Required when asset_type=asset_tags or ip_range_tag_rule Integer 

Specify a tag set to include in the record. Hosts that match these tags will be included. You identify the tag set by providing tag names or IDs. Multiple entries are comma-separated. To specify tag names, you must also specify tag_set_by=name.

tags_exclude={tag1, tag2...}

Optional when asset_type=asset_tags or ip_range_tag_rule Integer 

Specify a tag set to exclude in the record. Hosts that match these tags will be excluded. You identify the tag set by providing tag names or IDs. Multiple entries are comma-separated. To specify tag names, you must also specify tag_set_by=name.

tag_include_selector={any|all}

Optional when asset_type=asset_tags or ip_range_tag_rule Boolean 

Select "any" (the default) to include hosts that match at least one of the selected tags. Select "all" to include hosts that match all of the selected tags.

tag_exclude_selector={any|all}

Optional when asset_type=asset_tags or ip_range_tag_rule Boolean 

Select "any" (the default) to exclude hosts that match at least one of the selected tags. Select "all" to exclude hosts that match all of the selected tags.

asset_type={ips|asset_tags|ip_range_tag_rule} Optional  String 

Indicates how assets will be defined in the record. Valid values are ips (the default), asset_tags, ip_range_tag_rule. When not specified, we will use asset_type=ips.

ips - Specify this value to assign IP addresses/ranges to the record

asset_tags - Specify this value to add tags to the record for the assets you want included. IP addresses with the selected tags already assigned will be associated with the record.

ip_range_tag_rule - Specify this value to add tags that have IP address ranges defined in the tag rule. All IP addresses defined in the tag rule will be associated with the record, including IPs that do not already have the tag assigned.

 

Sample - Create a RecordSample - Create a Record

API Request

curl --location ' /api/3.0/fo/auth/nsx/index.php?action=create&title=1234NSXkk235&ips=10.xxx.xxx.xxx&username=root&password=Password%40456&port=443' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=create'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/3.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2025-12-11T10:32:56Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Created</TEXT>
                <ID_SET>
                    <ID>11629987</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN> 


Sample - Update a RecordSample - Update a Record

API Request

curl --location ' /api/3.0/fo/auth/nsx/index.php?action=update%20&username=root&password=Password%40456&ids=11629987' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=update'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/3.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2025-12-11T10:37:10Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Updated</TEXT>
                <ID_SET>
                    <ID>11629987</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN>

Sample - Delete a RecordSample - Delete a Record

API Request

curl --location ' /api/3.0/fo/auth/nsx/index.php?action=delete&ids=11629987' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=delete'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/3.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2025-12-11T10:41:22Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Deleted</TEXT>
                <ID_SET>
                    <ID>11629987</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN>

Sample - List the RecordsSample - List the Records

API Request

curl --location --request GET ' /api/3.0/fo/auth/nsx/index.php?action=list' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=list'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE AUTH_NSX_LIST_OUTPUT SYSTEM "<qualys_base_url>/api/3.0/fo/auth/nsx/auth_nsx_list_output.dtd">
<AUTH_NSX_LIST_OUTPUT>
    <RESPONSE>
        <DATETIME>2025-12-11T10:31:18Z</DATETIME>
        <AUTH_NSX_LIST>
            <AUTH_NSX>
                <ID>11500969</ID>
                <TITLE>
                    <![CDATA[nsx_auth]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[admin]]>
                </USERNAME>
                <SSL_VERIFY>
                    <![CDATA[0]]>
                </SSL_VERIFY>
                <IP_SET>
                    <IP>10.xxx.xxx.xxx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[443]]>
                </PORT>
                <SSL_VERIFY_WITH_HOST>
                    <![CDATA[0]]>
                </SSL_VERIFY_WITH_HOST>
                <HOSTS>
                    <![CDATA[www.google.com]]>
                </HOSTS>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-11-28T07:48:06Z</DATETIME>
                    <BY>username</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-10T06:45:07Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
            <AUTH_NSX>
                <ID>11541079</ID>
                <TITLE>
                    <![CDATA[mob_api12345]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[root]]>
                </USERNAME>
                <IP_SET>
                    <IP>111.xx.xx.xx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[443]]>
                </PORT>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-12-04T05:49:51Z</DATETIME>
                    <BY>username</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-04T05:49:51Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
            <AUTH_NSX>
                <ID>11541968</ID>
                <TITLE>
                    <![CDATA[1234NSX6]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[root]]>
                </USERNAME>
                <IP_SET>
                    <IP>10.xxx.xxx.xxx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[445]]>
                </PORT>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-12-04T06:42:32Z</DATETIME>
                    <BY>vmspxtb</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-04T08:50:33Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
            <AUTH_NSX>
                <ID>11542967</ID>
                <TITLE>
                    <![CDATA[1234NSXkk23]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[root]]>
                </USERNAME>
                <IP_SET>
                    <IP>10.xxx.xxx.xxx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[443]]>
                </PORT>
                <LOGIN_TYPE>
                    <![CDATA[basic]]>
                </LOGIN_TYPE>
                <CREATED>
                    <DATETIME>2025-12-04T09:11:25Z</DATETIME>
                    <BY>vmspxtb</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2025-12-04T09:11:25Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
        </AUTH_NSX_LIST>
    </RESPONSE>
</AUTH_NSX_LIST_OUTPUT>


Sample - Create a record with AD enabledSample - Create a record with AD enabled

API Request

curl --location ' /api/3.0/fo/auth/nsx/index.php' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=create' \
--data-urlencode 'title=API NSX1211' \
--data-urlencode 'username=nsxuser' \
--data-urlencode 'ips=10.xxx.xxx.xxx' \
--data-urlencode 'port=443' \
--data-urlencode 'ssl_verify_with_host=1' \
--data-urlencode 'hosts=aa.aa' \
--data-urlencode 'login_type=vault' \
--data-urlencode 'vault_type=HashiCorp' \
--data-urlencode 'vault_id=4980801' \
--data-urlencode 'secret_kv_name=Test' \
--data-urlencode 'use_ad_hashicorp=1'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/3.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2026-04-07T06:09:35Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Created</TEXT>
                <ID_SET>
                    <ID>12426426</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN>

Sample - Update a record with AD enabledSample - Update a record with AD enabled

API Request

curl --location ' /api/3.0/fo/auth/nsx/index.php' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=update' \
--data-urlencode 'login_type=vault' \
--data-urlencode 'vault_type=HashiCorp' \
--data-urlencode 'vault_id=4980801' \
--data-urlencode 'secret_kv_name=Test' \
--data-urlencode 'use_ad_hashicorp=1' \
--data-urlencode 'ids=12427803' \
--data-urlencode 'secret_kv_key=566'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/3.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2026-04-07T10:15:27Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Updated</TEXT>
                <ID_SET>
                    <ID>12427803</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN>

Sample -List the records with AD enabledSample -List the records with AD enabled

API Request

curl --location ' /api/3.0/fo/auth/nsx/index.php?action=list&ids=12426322' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=list

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE AUTH_NSX_LIST_OUTPUT SYSTEM "<qualys_base_url>/api/3.0/fo/auth/nsx/auth_nsx_list_output.dtd">
<AUTH_NSX_LIST_OUTPUT>
    <RESPONSE>
        <DATETIME>2026-04-07T06:09:03Z</DATETIME>
        <AUTH_NSX_LIST>
            <AUTH_NSX>
                <ID>12426322</ID>
                <TITLE>
                    <![CDATA[NSX_AD ]]>
                </TITLE>
                <USERNAME>
                    <![CDATA[root]]>
                </USERNAME>
                <IP_SET>
                    <IP>10.xxx.xxx.xxx</IP>
                </IP_SET>
                <PORT>
                    <![CDATA[443]]>
                </PORT>
                <SSL_VERIFY_WITH_HOST>
                    <![CDATA[0]]>
                </SSL_VERIFY_WITH_HOST>
                <LOGIN_TYPE>
                    <![CDATA[vault]]>
                </LOGIN_TYPE>
                <DIGITAL_VAULT>
                    <DIGITAL_VAULT_ID>
                        <![CDATA[4980801]]>
                    </DIGITAL_VAULT_ID>
                    <DIGITAL_VAULT_TYPE>
                        <![CDATA[HashiCorp]]>
                    </DIGITAL_VAULT_TYPE>
                    <DIGITAL_VAULT_TITLE>
                        <![CDATA[Nutanix_HashiCorp]]>
                    </DIGITAL_VAULT_TITLE>
                    <VAULT_SECRET_KV_PATH>
                        <![CDATA[/tmp]]>
                    </VAULT_SECRET_KV_PATH>
                    <VAULT_SECRET_KV_NAME>
                        <![CDATA[adnsx]]>
                    </VAULT_SECRET_KV_NAME>
                    <VAULT_USE_AD_HASHICORP>
                        <![CDATA[1]]>
                    </VAULT_USE_AD_HASHICORP>
                </DIGITAL_VAULT>
                <CREATED>
                    <DATETIME>2026-04-07T05:25:48Z</DATETIME>
                    <BY>vmspxtb</BY>
                </CREATED>
                <LAST_MODIFIED>
                    <DATETIME>2026-04-07T05:25:48Z</DATETIME>
                </LAST_MODIFIED>
            </AUTH_NSX>
        </AUTH_NSX_LIST>
    </RESPONSE>
</AUTH_NSX_LIST_OUTPUT>

Sample - Delete a record with AD enabledSample - Delete a record with AD enabled

API Request

curl --location ' /api/3.0/fo/auth/nsx/index.php?action=delete&ids=12426426' \
--header 'X-Requested-With: curl demo2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ' \
--data-urlencode 'action=list'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE BATCH_RETURN SYSTEM "<qualys_base_url>/api/3.0/batch_return.dtd">
<BATCH_RETURN>
    <RESPONSE>
        <DATETIME>2026-04-07T06:29:43Z</DATETIME>
        <BATCH_LIST>
            <BATCH>
                <TEXT>Successfully Deleted</TEXT>
                <ID_SET>
                    <ID>12426426</ID>
                </ID_SET>
            </BATCH>
        </BATCH_LIST>
    </RESPONSE>
</BATCH_RETURN>

DTDs for VMware NSX records

Qualys API Server URL /api/3.0/fo/auth/nsx/auth_nsx_list

API Version History

The following table depicts the information about the different versions of this API along with the status:

API Version EOS EOL
/api/3.0/fo/auth/nsx/ Active Active
/api/2.0/fo/auth/nsx/ December 2026

June 2027

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.